import { RouterType } from "@/types";
import React from "react";

const tabLeftArr: RouterType = [
  {
    id: "1",
    name: "业务配置",
    son: [
      {
        id: "1.1",
        name: "相机管理",
        path: "/",
        Com: React.lazy(() => import("../A1Camera")),
        done: false,
      },
      {
        id: "1.2",
        name: "机房管理",
        path: "/psychz",
        Com: React.lazy(() => import("../A2Psychz")),
        done: false,
      },
    ],
  },

  {
    id: "2",
    name: "采集管理",
    son: [
      {
        id: "2.1",
        name: "进度统计",
        path: "/plan",
        Com: React.lazy(() => import("../B1Plan")),
        done: false,
      },
      {
        id: "2.2",
        name: "场景审核",
        path: "/scene",
        Com: React.lazy(() => import("../B2Scene")),
        done: false,
      },
      {
        id: "2.3",
        name: "推送管理",
        path: "/push",
        Com: React.lazy(() => import("../B3Push")),
        done: false,
      },
    ],
  },

  {
    id: "3",
    name: "系统管理",
    son: [
      {
        id: "3.1",
        name: "用户管理",
        path: "/user",
        Com: React.lazy(() => import("../C1User")),
        done: false,
      },
      {
        id: "3.2",
        name: "系统日志",
        path: "/log",
        Com: React.lazy(() => import("../C2Log")),
        done: false,
      },
    ],
  },
];

export default tabLeftArr;
